<ion-card class="ion-shadow-0" style="min-height: 17rem;">

    <!-- Top Image -->
    <ion-thumbnail class="ion-w-100 ion-mb-2 ion-relative" style="height: 10rem;">
        <ion-img [src]="imgURL" [alt]="title || imgURL" class="ion-round ion-round-top" #img
            [class.ion-opacity-0]="!(img.ionImgDidLoad | async)">
        </ion-img>

        <!-- Badge - Bottom Right -->
        <ion-badge class="ion-absolute ion-bottom-2 ion-right-2 ion-round ion-round-25" style="padding: 6px 8px;"
            *ngIf="note">
            <span class="ion-font-xs">{{ note }}</span>
        </ion-badge>

        <!-- Skeleton -->
        <ion-skeleton-text *ngIf="!(img.ionImgDidLoad | async)" animated
            class="ion-absolute ion-top-0 ion-w-100 ion-h-100 ion-round ion-round-top">
        </ion-skeleton-text>
    </ion-thumbnail>

    <ion-card-content class="ion-no-padding">
        <!-- Row 1x3 - 1x1 -->
        <ion-row>
            <!-- Thumbnail -->
            <ion-col size="2">
                <ion-avatar class="ion-relative" style="width: 45px; height: 45px">
                    <ion-img [src]="thumbnail" [class.ion-opacity-0]="!(thumb.ionImgDidLoad | async)" #thumb></ion-img>
                    <ion-skeleton-text *ngIf="!(thumb.ionImgDidLoad | async)" animated
                        class="ion-absolute ion-top-0 ion-w-100 ion-h-100">
                    </ion-skeleton-text>
                </ion-avatar>
            </ion-col>

            <!-- Text and Rating -->
            <ion-col size="7">
                <ion-label color="dark">
                    <h2 class="ion-font-base ion-font-bold">{{ title }}</h2>
                </ion-label>
                <app-rating [rating]="rating" starColor="primary" starSize="14px"></app-rating>
            </ion-col>

            <!-- Order Button -->
            <ion-col size="3" class="ion-ml-auto">
                <ion-chip color="primary" class="ion-round" (click)="action.emit()">
                    <strong class="ion-font-sm">{{ buttonLabel }}</strong>
                </ion-chip>
            </ion-col>
        </ion-row>

        <!-- Categories -->
        <ion-row>
            <ng-container *ngFor="let c of categories">
                <ion-col size="auto">
                    <ion-badge color="light" style="padding: 6px 8px;">
                        <ion-text color="medium">
                            <strong class="ion-font-sm">{{ c?.name }}</strong>
                        </ion-text>
                    </ion-badge>
                </ion-col>
            </ng-container>
        </ion-row>
    </ion-card-content>
</ion-card>